WordPress 4.7.5 e o que vem por ai com a versão 4.8

Nos últimos dias tivemos vários anuncios importantes referentes ao WordPress 4.8 a nova versão que esta em beta e outros referente a segurança:

Primeiro anuncio a versão 4.8 do WordPress não dara mais suporte as versões 8, 9 , 10 do internet explorer, Matt anunciou em seu blog que o suporte a essas versões está travando o desenvolvimento da plataforma. Todos os fronts comemoram essa decisão.

Ainda sobre a nova versão grandes mudanças foram anunciadas novos recursos para widgets, agora a widget de texto possui  um editor visual por padrão, antes era possível com adição de plugin. Também foram anunciadas três widgets uma de vídeo, audio e imagens.

Core Widgets on Twenty Seventeen

Segundo anuncio, aproveitando o gancho dos últimos incidentes e o grande ataque realizado pelo #wannacry,  o WordPress está engajado na comunidade hackerone. Para quem não conhece hackerone é uma plataforma que os usuários reportam falhas de segurança e recebem bonificações dependendo do nível da falha. Em seu perfil oficial, serão discutidos outros projetos como: BuddyPress, bbPress, GlotPress e WP-CLI. Até o momento 3.700 dolares foram repassados para 7 diferentes reports.

Finalizando, essa semana saiu uma atualização de segurança do WordPress, a versão 4.7.5 ela contém  seis correções de segurança e segundo o WordPress está atualização deve ser  realizada imediatamente. Os updates estão relacionados a nova parceria com o hackerone, são falhas referente a XSS, Cross Site request Forgery e melhorias na XML-RPC API.

Referencias:

WordPress Is Now on HackerOne, Launches Bug Bounties

WordPress 4.7.5 Patches Six Security Issues, Immediate Update Recommended

 

What to Expect in WordPress 4.8

Target Browser Coverage

 

Deixe uma resposta